<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns="http://www.w3.org/1999/html">
<head>
    <meta charset="UTF-8" xmlns:th="http://www.thymeleaf.org">
    <title>Erstelle neuen Beitrag</title>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
          integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link href="../static/css/style.css" th:href="@{/css/style.css}" rel="stylesheet"/>
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">

    <script>
        var loadFile = function (event) {
            var output = document.getElementById('output');
            output.src = URL.createObjectURL(event.target.files[0]);

            var existingImage = document.getElementById('existingImage');
            existingImage.classList.add("image-hidden");
        };
    </script>

    <script>
        $(function () {
            $('[data-toggle="tooltip"]').tooltip()
        })
    </script>

</head>

<body>

<header class="background_gray" th:replace="header :: header"></header>

<div class="form-body">

    <h3 th:if="${entryToEdit.id == 0}">Erstelle einen neuen Beitrag</h3>
    <h3 th:if="${entryToEdit.id != 0}">Editiere Beitrag</h3>

    <form enctype="multipart/form-data" th:action="@{/saveEntry(entryToEditId=${entryToEdit.id})}" th:object="${entry}"
          method="post">

        <div>

            <img class="d-inline-block img-preview"
                 th:src="@{'data:image/jpeg;base64,'+${entryToEdit.getImageAsString()}}"
                 th:if="${entryToEdit.id != 0}" id="existingImage"/>

            <img class="d-inline-block img-preview" id="output"/>

            <label class="btn btn-success" for="files">Wähle ein Bild</label>
            <input id="files" style="visibility:hidden;" type="file" th:field="*{file}" name="file" accept="image/*"
                   onchange="loadFile(event)">

            <div class="row" th:if="${entryToEdit.id != 0}">
                <input class="col-9" type="text" th:field="*{title}" th:value="${entryToEdit.getLatestTitle()}">
                <div class="col-2">
                    <button class="btn btn-success d-inline-block" type="submit"
                            data-toggle="tooltip" data-placement="top" title="Änderung speichern">
                        <i class="material-icons">
                            save
                        </i>
                    </button>
                </div>
                <div class="col-2"></div>
                <br>
                <textarea class="col-12 text-input" type="text" th:field="*{text}"
                          th:value="${entryToEdit.getLatestText()}"/>
            </div>

            <div class="row" th:if="${entryToEdit.id == 0}">
                <input class="col-9" type="text" th:field="*{title}" placeholder="Titel">
                <div class="col-2">
                    <button class="btn btn-success d-inline-block" type="submit"
                            data-toggle="tooltip" data-placement="top" title="Beitrag speichern">
                        <i class="material-icons">
                            save
                        </i>
                    </button>
                </div>
                <div class="col-2"></div>
                <br>
                <textarea class="col-12 text-input" type="text" th:field="*{text}" placeholder="Text"/>


            </div>

        </div>

        <div th:text="${Error}"></div>
        <div th:if="${#fields.hasErrors('text')}" th:errors="*{text}"></div>

        <br>
        <table class="table table-striped col-5">
            <tbody>
            <tr th:each="category : ${categorys}" th:object="${entry}">
                <td>
                    <div th:text="${category.name}"></div>
                </td>
                <td>
                    <input type="checkbox" th:field="*{categorys}" th:value="${category.id}">
                </td>
            </tr>
            </tbody>
        </table>

        <br>
    </form>

    <p th:if="${currentUser == null}">Sie sind nicht eingeloggt!</p>
    <p th:if="${currentUser != null and currentUser.isAdministrator()== false}">Sie sind kein Admin!</p>

</div>


<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"
        integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
        crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"
        integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy"
        crossorigin="anonymous"></script>

</body>
</html>